pipeline {
 agent any
 tools {
 maven 'maven'
 jdk 'jdk'
 }
 stages{
 stage('mvnclean'){
 steps{
  sh 'mvn package'
  }
  }
  stage('Deploy Artifacts') { 
             steps {
                script {			 
                     def server = Artifactory.server 'jfro' 
                     def uploadSpec = """{
                       "files": [
                            {
                              "pattern": "/var/lib/jenkins/workspace/MyTestJob/target/*.war",
                              "target": "myrepo/"
                            }
                                ]
                    }"""
	                server.upload(uploadSpec)
	            }
	          }
	        }

  
 stage ('running playbook') {
 steps {
 sh 'ansible-playbook -i hosts tomcat.yml'
 }
 }
 }
       
       post {
        success{ 
            
             emailext body: "${currentBuild.currentResult}: Job ${env.JOB_NAME} build ${env.BUILD_NUMBER}\n More info at: ${env.BUILD_URL}",
                recipientProviders: [[$class: 'DevelopersRecipientProvider'], [$class: 'RequesterRecipientProvider']],attachLog: true,
                subject: "Jenkins Build ${currentBuild.currentResult}: Job ${env.JOB_NAME}",  to: 'vamshiniru@gmail.com,alapati.avinash@gmail.com,garidepally.uday19@gmail.com' 
            }
        failure {
            emailext body: "${currentBuild.currentResult}: Job ${env.JOB_NAME} build ${env.BUILD_NUMBER}\n More info at: ${env.BUILD_URL}",
                recipientProviders: [[$class: 'DevelopersRecipientProvider'], [$class: 'RequesterRecipientProvider']],attachLog: true,
                subject: "Jenkins Build ${currentBuild.currentResult}: Job ${env.JOB_NAME}",  to: 'vamshiniru@gmail.com,alapati.avinash@gmail.com,garidepally.uday19@gmail.com'
            }
            
        
    }

 }

